%define name	libsynaptics
%define version	0.14.6c
%define release	%mkrel 1

%define	major	0

%define	libname	%mklibname synaptics %major
%define	dlibname	%mklibname synaptics %major -d
%define	pdlibname	%mklibname synaptics -d

Summary:	KDE configuration for synaptics module
Name:		%{name}
Version:	%{version}
Release:	%mkrel 1
License:	GPL
Group:		System/Configuration/Hardware
URL:		http://qsynaptics.sourceforge.net/
BuildRoot:	%_tmppath/%{name}-%{version}-root-%(id -u -n)
Source0:	http://qsynaptics.sourceforge.net/%{name}-%{version}.tar.bz2

BuildRequires:  x11-proto-devel

%description
libsynaptics is an effort to eliminate version related problems in ksynaptics
by providing upwards compatibility above new Xorg touch pad driver releases. 

%package -n	%libname
Summary:	Library for supporting ksynaptics
Group:		System/Configuration/Hardware

%description -n %libname
libsynaptics is an effort to eliminate version related problems in ksynaptics
by providing upwards compatibility above new Xorg touch pad driver releases. 

%package -n	%dlibname
Summary:	Development Library for supporting ksynaptics
Group:		Development/KDE and Qt
Provides:	synaptics-devel = %{version}-%{release}
%if %{_lib} != lib
Provides:	libsynaptics-devel = %{version}-%{release}
%endif
Provides:	%pdlibname = %{version}-%{release}
Requires:	%libname = %{version}-%{release}

%description -n	%dlibname
libsynaptics is an effort to eliminate version related problems in ksynaptics
by providing upwards compatibility above new Xorg touch pad driver releases. 

%prep 
%setup -q

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%files -n %libname
%defattr(644,root,root,755)
%doc README INSTALL COPYING TODO
%{_libdir}/libsynaptics.so.0
%{_libdir}/libsynaptics.so.0.0.1

%files -n %dlibname
%{_includedir}/synaptics
%{_libdir}/libsynaptics.a
%{_libdir}/libsynaptics.la
%{_libdir}/libsynaptics.so



%changelog
* Sat Feb 10 2007 Colin Guthrie <cguthrie@mandriva.org> 0.14.6c-1mdv2007.0
+ Revision: 118694
- New Version: 0.14.6c

* Tue Jan 16 2007 Colin Guthrie <cguthrie@mandriva.org> 0.14.6b-1mdv2007.1
+ Revision: 109610
- New version (to keep in sync with driver)

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Add BuildRequires

  + Luca Berra <bluca@mandriva.org>
    - fix provides

* Thu Jul 06 2006 Luca Berra <bluca@mandriva.org> 0.14.4d-1mdv2007.0
+ Revision: 38444
- import libsynaptics-0.14.4d-1mdv2007.0


* Thu Jul 06 2006 Luca Berra <bluca@comedia.it> 0.14.4d-1mdv2007.0
- initial contribution

